package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdScenariorelation;
import com.dhcc.finance.main.domain.CwBdScenariorelationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdScenariorelationMapper {
    long countByExample(CwBdScenariorelationExample example);

    int deleteByExample(CwBdScenariorelationExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwBdScenariorelation record);

    int insertSelective(CwBdScenariorelation record);

    List<CwBdScenariorelation> selectByExample(CwBdScenariorelationExample example);

    CwBdScenariorelation selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwBdScenariorelation record, @Param("example") CwBdScenariorelationExample example);

    int updateByExample(@Param("record") CwBdScenariorelation record, @Param("example") CwBdScenariorelationExample example);

    int updateByPrimaryKeySelective(CwBdScenariorelation record);

    int updateByPrimaryKey(CwBdScenariorelation record);
    /**
     * 功能描述：查询凭证模板编号
     * @param sql
     * @return String
     * @author dml
     * @date 2019年6月26日 下午3:14:40
     * @修改日志：
     */
	String selectCwBdVouchtemp(@Param("sql") String sql);
	 /**
     * 功能描述：根据主键逻辑删除交易场景凭证模板对应关系
     * @param ID
     * @author lipeng
     * @date 2019年6月27日 上午11:32:31
     * @修改日志：
     */
	 int deleteCwBdScenariorelatioByPrimaryKey(String   id);
	 /**
	  * 功能描述  根据参数查询凭证模板号(生成凭证-受益权级别更改使用)
	  * @param jym
	  * @param xtcclx
	  * @param dyjhbz
	  * @param syqfj
	  * @return CwBdScenariorelation
	  * @author huangpeng
	  * @date 2019年7月2日 上午9:29:12
	  * 修改日志
	  */
	CwBdScenariorelation searchCwBdScenariorelationforAccsubj(@Param("jym")String jym, @Param("xtcclx")String xtcclx, 
			@Param("dyjhbz")String dyjhbz, @Param("syqfj")String syqfj);
	/**
	 * 功能描述   资产入账中使用
	 * @param jym
	 * @param xtcclx
	 * @return String
	 * @author huangpeng
	 * @param tradeCode 
	 * @date 2019年7月21日 下午5:00:45
	 * 修改日志
	 */
	String selectForSpecialSix(@Param("column")String column, @Param("condition")String condition, 
			@Param("tradeCode")String tradeCode);
	/**
	 * 查询全部交易场景名称
	 * Title: selectScenarioreName <br/>  
	 * Description: TODO <br/>
	 * @author lipeng 
	 * @return List<String>
	 * @date 2019年8月3日 下午4:06:34
	 */
	List<String>  selectScenarioreName(); 

}